org.jenkinsci.maven.plugins.hpi

## Class TestHplMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.jenkinsci.maven.plugins.hpi.AbstractJenkinsMojo
    - - org.jenkinsci.maven.plugins.hpi.AbstractHpiMojo
      - - org.jenkinsci.maven.plugins.hpi.HplMojo
        - - org.jenkinsci.maven.plugins.hpi.TestHplMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class TestHplMojo
    extends HplMojo

Generate .hpl file in the test class directory so that test harness can locate the plugin.

Author:
  Kohsuke Kawaguchi

### Field Summary

### Fields inherited from class org.jenkinsci.maven.plugins.hpi.AbstractHpiMojo

`archiverManager, globalMaskClasses, localRepository, maskClasses, outputDirectory, pluginName, projectBuilder, warSourceDirectory`

### Fields inherited from class org.jenkinsci.maven.plugins.hpi.AbstractJenkinsMojo

`jenkinsCoreId, project`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`TestHplMojo()`

### Method Summary

Methods
`protected java.io.File` `computeHplFile()` Generates the hpl file in a known location.

### Methods inherited from class org.jenkinsci.maven.plugins.hpi.HplMojo

`execute, setHudsonHome`

### Methods inherited from class org.jenkinsci.maven.plugins.hpi.AbstractHpiMojo

`buildExplodedWebapp, buildWebapp, copyResources, copyResources, getClassesDirectory, getContainerConfigXML, getDependentWarExcludes, getDependentWarIncludes, getDirectDependencyArtfacts, getExcludes, getIncludes, getProjectArtfacts, getWebappDirectory, isSupportDynamicLoading, setAttributes, setClassesDirectory, setContainerConfigXML, setWarSourceDirectory, setWebappDirectory, wrap, wrap`

### Methods inherited from class org.jenkinsci.maven.plugins.hpi.AbstractJenkinsMojo

`findJenkinsVersion`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestHplMojo

    public TestHplMojo()

### Method Detail

#### computeHplFile

    protected java.io.File computeHplFile()
                                   throws org.apache.maven.plugin.MojoExecutionException

Generates the hpl file in a known location.

Overrides:
  `computeHplFile` in class `HplMojo`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`